Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logica.multijugador
Class JuegoMultijugador

    java.lang.Object
      logica.Juego
          logica.multijugador.JuegoMultijugador

    public class JuegoMultijugador

extends Juego

Field Summary

Fields inherited from class logica.Juego
`contenedorGrafico, incrementoVelocidad, juegoComenzado, juegoPausado, lineas, motorSonido, nivel, paleta, piezaActual, piezaColisionada, piezasBase, piezaSiguiente, puntos, tablero, teclaAbajo, teclaArriba, teclaDerecha, teclaIzquierda, teclaRotarDerecha, teclaRotarIzquierda, velocidad, velocidadMaxima, velocidadMinima`

Constructor Summary
`JuegoMultijugador(java.awt.Graphics contenedor)`
`JuegoMultijugador(java.awt.Graphics contenedor, Paleta paleta)`
`JuegoMultijugador(java.awt.Graphics contenedor, Paleta paleta, Pieza[] piezasBase)`

Method Summary

Methods inherited from class logica.Juego
`actualizarPanel, cicloJuego, comprobarGameOver, definirTeclas, finalizarJuego, getContenedorGrafico, getJuegoComenzado, getLineas, getNivel, getPaleta, getPiezasBase, getPuntos, getTablero, getVelocidad, iniciarJuego, leerTeclado, modificarDimensionesTablero, numeroPiezasBase, obtenerPieza, pausarJuego, procesarTecla, reanudarJuego, reiniciarJuego, representarTodo, restaurarValores, sacarPieza, setContenedorGrafico, setLineas, setNivel, setPaleta, setPiezasBase, setPuntos, setVelocidad, subirNivel, subirVelocidad, sumarLineas, sumarPuntos, teclaEnTeclas`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JuegoMultijugador

    public JuegoMultijugador(java.awt.Graphics contenedor)

### JuegoMultijugador

    public JuegoMultijugador(java.awt.Graphics contenedor,
                             Paleta paleta)

### JuegoMultijugador

    public JuegoMultijugador(java.awt.Graphics contenedor,
                             Paleta paleta,
                             Pieza[] piezasBase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD